=== debian/changelog ===
osmcoastline (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop build dependency on osmpbf.
  * Bump minimum required libosmium2-dev to 2.3.0.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2015 21:28:32 +0200

osmcoastline (2.0.1-2) unstable; urgency=medium

  * Add patch to make the build reproducible.
  * Handle other extensions in filenamemangle.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jun 2015 19:56:38 +0200

osmcoastline (2.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #779944)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jun 2015 23:13:35 +0200
