## osmcoastline 2.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,11 +22,13 @@
 
 set(OSMCOASTLINE_VERSION_MAJOR 2)
 set(OSMCOASTLINE_VERSION_MINOR 1)
-set(OSMCOASTLINE_VERSION_PATCH 0)
+set(OSMCOASTLINE_VERSION_PATCH 2)
 
 set(OSMCOASTLINE_VERSION
     ${OSMCOASTLINE_VERSION_MAJOR}.${OSMCOASTLINE_VERSION_MINOR}.${OSMCOASTLINE_VERSION_PATCH})
 
+add_definitions(-DOSMCOASTLINE_VERSION="${OSMCOASTLINE_VERSION}")
+
 set(AUTHOR "Jochen Topf <jochen@topf.org>")
 
 
@@ -36,8 +38,10 @@
 #
 #-----------------------------------------------------------------------------
 
+include_directories(include)
+
 find_package(Osmium COMPONENTS io gdal)
-include_directories(${OSMIUM_INCLUDE_DIRS})
+include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})
 
 if(MSVC)
     find_path(GETOPT_INCLUDE_DIR getopt.h)
@@ -242,7 +246,7 @@
 configure_file(
     ${PROJECT_SOURCE_DIR}/osmcoastline_readmeta
     ${PROJECT_BINARY_DIR}/osmcoastline_readmeta
-    COPYONLY
+    @ONLY
 )
 install(PROGRAMS osmcoastline_readmeta DESTINATION bin)
