=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 #-----------------------------------------------------------------------------
 
-add_executable(osmcoastline osmcoastline.cpp coastline_ring.cpp coastline_ring_collection.cpp coastline_polygons.cpp output_database.cpp output_layers.cpp srs.cpp options.cpp)
+add_executable(osmcoastline osmcoastline.cpp coastline_ring.cpp coastline_ring_collection.cpp coastline_polygons.cpp output_database.cpp srs.cpp options.cpp)
 target_link_libraries(osmcoastline ${OSMIUM_IO_LIBRARIES} ${GDAL_LIBRARIES} ${GEOS_C_LIBRARIES})
 install(TARGETS osmcoastline DESTINATION bin)
 
@@ -18,7 +18,7 @@
 target_link_libraries(osmcoastline_segments ${GDAL_LIBRARIES})
 install(TARGETS osmcoastline_segments DESTINATION bin)
 
-add_executable(osmcoastline_ways osmcoastline_ways.cpp osmcoastline.hpp)
+add_executable(osmcoastline_ways osmcoastline_ways.cpp return_codes.hpp)
 target_link_libraries(osmcoastline_ways ${OSMIUM_IO_LIBRARIES} ${GDAL_LIBRARIES})
 install(TARGETS osmcoastline_ways DESTINATION bin)
