=== debian/changelog ===
osmcoastline (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years for Jochen Topf.
  * Drop GDAL 2.0 patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jan 2016 07:44:30 +0100

osmcoastline (2.1.1-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Dec 2015 14:22:58 +0100

osmcoastline (2.1.1-2~exp1) experimental; urgency=medium

  * Add upstream patch for GDAL 2.0 support.
    (closes: #802813)
  * Bump minimum required libosmium2-dev to 2.5.4.
  * Add build dependency on libgdalcpp-dev for gdalcpp.hpp,
    provided by libosmium2-dev >= 2.5.4.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Dec 2015 23:15:48 +0100

osmcoastline (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.4.1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Aug 2015 16:04:53 +0200

osmcoastline (2.1.0-2) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Rebuild for geos transition.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 30 Aug 2015 16:00:19 +0200
