=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.3.0),
+               libosmium2-dev (>= 2.5.4),
+               libgdalcpp-dev,
                libspatialite-dev,
                pandoc,
                sqlite3,
                zlib1g-dev
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/osmcoastline.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmcoastline.git/
 Vcs-Git: git://anonscm.debian.org/pkg-grass/osmcoastline.git
 Homepage: http://osmcode.org/osmcoastline/
