=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

%:
	dh $@ --buildsystem cmake \
	      --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_VERBOSE_MAKEFILE=1

override_dh_auto_test:
	(cd obj-* && ./runtest.sh || echo "Ignoring expected test failure")

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md
