=== debian/changelog ===
osmcoastline (2.1.4-4) unstable; urgency=medium

  * Update osmcode.org URLs to use HTTPS.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 10:05:38 +0200

osmcoastline (2.1.4-3) unstable; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from control & rules files.
  * Check DEB_BUILD_OPTIONS for nocheck in dh_auto_test override.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 09:28:45 +0200

osmcoastline (2.1.4-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 21:13:03 +0200

osmcoastline (2.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Sep 2016 20:42:39 +0200
