=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                pandoc,
                sqlite3,
                zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmcoastline.git/
-Vcs-Git: git://anonscm.debian.org/pkg-grass/osmcoastline.git
-Homepage: http://osmcode.org/osmcoastline/
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmcoastline/
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git
+Homepage: https://osmcode.org/osmcoastline/
 
 Package: osmcoastline
 Architecture: any
@@ -41,4 +41,3 @@
  assemble multipolygons from ways and relations.
  .
  This package contains the OSMCoastline utilities.
-
