## osmcoastline 2.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,14 +19,12 @@
 project(osmcoastline)
 
 set(OSMCOASTLINE_VERSION_MAJOR 2)
-set(OSMCOASTLINE_VERSION_MINOR 1)
-set(OSMCOASTLINE_VERSION_PATCH 4)
+set(OSMCOASTLINE_VERSION_MINOR 2)
+set(OSMCOASTLINE_VERSION_PATCH 3)
 
 set(OSMCOASTLINE_VERSION
     ${OSMCOASTLINE_VERSION_MAJOR}.${OSMCOASTLINE_VERSION_MINOR}.${OSMCOASTLINE_VERSION_PATCH})
 
-add_definitions(-DOSMCOASTLINE_VERSION="${OSMCOASTLINE_VERSION}")
-
 set(AUTHOR "Jochen Topf <jochen@topf.org>")
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
@@ -40,7 +38,7 @@
 
 include_directories(include)
 
-find_package(Osmium COMPONENTS io gdal)
+find_package(Osmium 2.13.1 COMPONENTS io gdal)
 include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})
 
 if(MSVC)
@@ -77,9 +75,11 @@
 #
 #-----------------------------------------------------------------------------
 if(MSVC)
-    set(USUAL_COMPILE_OPTIONS "/Ox")
-else()
-    set(USUAL_COMPILE_OPTIONS "-O3 -g")
+    set(DEV_COMPILE_OPTIONS "/Ox")
+    set(RWD_COMPILE_OPTIONS "/Ox /DNDEBUG")
+else()
+    set(DEV_COMPILE_OPTIONS "-O3 -g")
+    set(RWD_COMPILE_OPTIONS "-O3 -g -DNDEBUG")
 endif()
 
 if(WIN32)
@@ -87,7 +87,7 @@
                     -DWINVER=0x0500 -D_WIN32_WINNT=0x0500 -D_WIN32_IE=0x0600)
 endif()
 
-set(CMAKE_CXX_FLAGS_DEV "${USUAL_COMPILE_OPTIONS}"
+set(CMAKE_CXX_FLAGS_DEV "${DEV_COMPILE_OPTIONS}"
     CACHE STRING "Flags used by the compiler during developer builds."
     FORCE)
 
@@ -99,7 +99,7 @@
     CMAKE_EXE_LINKER_FLAGS_DEV
 )
 
-set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${USUAL_COMPILE_OPTIONS}"
+set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${RWD_COMPILE_OPTIONS}"
     CACHE STRING "Flags used by the compiler during RELWITHDEBINFO builds."
     FORCE)
 
@@ -134,6 +134,30 @@
 
 #-----------------------------------------------------------------------------
 #
+#  Optional "clang-tidy" target
+#
+#-----------------------------------------------------------------------------
+message(STATUS "Looking for clang-tidy")
+find_program(CLANG_TIDY NAMES clang-tidy clang-tidy-6.0 clang-tidy-5.0)
+
+if(CLANG_TIDY)
+    message(STATUS "Looking for clang-tidy - found ${CLANG_TIDY}")
+
+    file(GLOB _all_code src/*.cpp)
+
+    add_custom_target(clang-tidy
+        ${CLANG_TIDY}
+        -p ${CMAKE_BINARY_DIR}
+        ${_all_code}
+        WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/src"
+    )
+else()
+    message(STATUS "Looking for clang-tidy - not found")
+    message(STATUS "  Build target 'clang-tidy' will not be available.")
+endif()
+
+#-----------------------------------------------------------------------------
+#
 #  Optional "cppcheck" target that checks C++ code
 #
 #-----------------------------------------------------------------------------
@@ -165,10 +189,10 @@
 #-----------------------------------------------------------------------------
 #
 #  Optional "iwyu" target to check headers
-#  http://include-what-you-use.org/
-#
-#-----------------------------------------------------------------------------
-find_program(IWYU_TOOL iwyu_tool.py)
+#  https://include-what-you-use.org/
+#
+#-----------------------------------------------------------------------------
+find_program(IWYU_TOOL NAMES iwyu_tool iwyu_tool.py)
 
 if(IWYU_TOOL)
     message(STATUS "Looking for iwyu_tool.py - found")
@@ -237,6 +261,30 @@
 
 
 #-----------------------------------------------------------------------------
+#
+#  Version
+#
+#-----------------------------------------------------------------------------
+
+find_package(Git)
+
+if(GIT_FOUND)
+    execute_process(COMMAND "${GIT_EXECUTABLE}" describe --tags --dirty=-changed
+                    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
+                    OUTPUT_VARIABLE VERSION_FROM_GIT
+                    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
+    if(VERSION_FROM_GIT)
+        set(VERSION_FROM_GIT " (${VERSION_FROM_GIT})")
+    endif()
+endif()
+
+configure_file(
+    ${PROJECT_SOURCE_DIR}/src/version.cpp.in
+    ${PROJECT_BINARY_DIR}/src/version.cpp
+)
+
+
+#-----------------------------------------------------------------------------
 
 find_library(GEOS_C_LIBRARIES NAMES geos_c)
 include_directories (SYSTEM ${GEOS_C_INCLUDE_DIR})
@@ -279,6 +327,16 @@
 
 #-----------------------------------------------------------------------------
 #
+#  Tests
+#
+#-----------------------------------------------------------------------------
+
+enable_testing()
+add_subdirectory(test)
+
+
+#-----------------------------------------------------------------------------
+#
 #  Packaging
 #
 #-----------------------------------------------------------------------------
