=== debian/changelog ===
osmcoastline (2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Add -DCMAKE_BUILD_TYPE=RelWithDebInfo CMake option.
  * Drop unused lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Feb 2019 16:34:36 +0100

osmcoastline (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Update copyright years for Jochen Topf.
  * Add lintian override for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Feb 2019 19:30:14 +0100

osmcoastline (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Add spatialite-bin to build dependencies for tests.
  * Also run ctest tests.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 08 Dec 2018 10:16:15 +0100

osmcoastline (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.
  * Require at least libosmium2-dev 2.13.1.
  * Update copyright years for Jochen Topf.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Sep 2018 08:48:51 +0200
