=== debian/control ===
--- 
+++ 
@@ -9,14 +9,15 @@
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.5.4),
+               libosmium2-dev (>= 2.13.1),
                libgdalcpp-dev,
                libspatialite-dev,
                pandoc,
+               spatialite-bin,
                sqlite3,
                zlib1g-dev
-Standards-Version: 4.1.5
-Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmcoastline/
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmcoastline
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git
 Homepage: https://osmcode.org/osmcoastline/
