## osmcoastline 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 project(osmcoastline)
 
 set(OSMCOASTLINE_VERSION_MAJOR 2)
-set(OSMCOASTLINE_VERSION_MINOR 2)
-set(OSMCOASTLINE_VERSION_PATCH 4)
+set(OSMCOASTLINE_VERSION_MINOR 3)
+set(OSMCOASTLINE_VERSION_PATCH 0)
 
 set(OSMCOASTLINE_VERSION
     ${OSMCOASTLINE_VERSION_MAJOR}.${OSMCOASTLINE_VERSION_MINOR}.${OSMCOASTLINE_VERSION_PATCH})
@@ -29,6 +29,8 @@
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
+option(WITH_LZ4 "Build with lz4 support for PBF files" ON)
+
 
 #-----------------------------------------------------------------------------
 #
@@ -38,8 +40,23 @@
 
 include_directories(include)
 
-find_package(Osmium 2.13.1 COMPONENTS io gdal)
+find_package(Osmium 2.16.0 COMPONENTS io gdal)
 include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})
+
+if(WITH_LZ4)
+    find_package(LZ4)
+
+    if(LZ4_FOUND)
+        message(STATUS "lz4 library found, compiling with it")
+        add_definitions(-DOSMIUM_WITH_LZ4)
+        include_directories(SYSTEM ${LZ4_INCLUDE_DIRS})
+        list(APPEND OSMIUM_IO_LIBRARIES ${LZ4_LIBRARIES})
+    else()
+        message(WARNING "lz4 library not found, compiling without it")
+    endif()
+else()
+    message(STATUS "Building without lz4 support: Set WITH_LZ4=ON to change this")
+endif()
 
 if(MSVC)
     find_path(GETOPT_INCLUDE_DIR getopt.h)
@@ -138,7 +155,7 @@
 #
 #-----------------------------------------------------------------------------
 message(STATUS "Looking for clang-tidy")
-find_program(CLANG_TIDY NAMES clang-tidy clang-tidy-7 clang-tidy-7.0 clang-tidy-6.0 clang-tidy-5.0)
+find_program(CLANG_TIDY NAMES clang-tidy clang-tidy-12 clang-tidy-11 clang-tidy-10 clang-tidy-9 clang-tidy-8)
 
 if(CLANG_TIDY)
     message(STATUS "Looking for clang-tidy - found ${CLANG_TIDY}")
