=== debian/changelog ===
osmcoastline (2.3.0-1+deb11u1) bullseye; urgency=medium

  * Update branch in gbp.conf & Vcs-Git URL.
  * Add upstream patch to fix projections other than WGS84.
    (closes: #993518)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Sep 2021 15:43:37 +0200

osmcoastline (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Require at least libosmium2-dev 2.16.0.
  * Drop patches, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Jan 2021 16:22:58 +0100

osmcoastline (2.2.4-3) unstable; urgency=medium

  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Add upstream patch to fix test-invalid-complex-overlap failure.
    (closes: #977868)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Dec 2020 14:58:28 +0100

osmcoastline (2.2.4-2) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2020 19:00:52 +0100
