=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                cmake,
                libbz2-dev,
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.13.1),
+               libosmium2-dev (>= 2.16.0),
                libgdalcpp-dev,
                libspatialite-dev,
                pandoc,
                spatialite-bin,
                sqlite3,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmcoastline
-Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git -b bullseye
 Homepage: https://osmcode.org/osmcoastline/
 
 Package: osmcoastline
