=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_VERBOSE_MAKEFILE=1 -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
	dh_auto_test

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	(cd obj-* && ./runtest.sh || echo "Ignoring expected test failure")
endif

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md
