=== debian/changelog ===
osmcoastline (2.3.1-1build2) jammy; urgency=medium

  * No-change rebuild against libgdal30

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:30:29 +0000

osmcoastline (2.3.1-1build1) jammy; urgency=medium

  * No-change rebuild against libgdal29

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 14:24:34 +0000

osmcoastline (2.3.1-1) unstable; urgency=medium

  * New upstream release.
    (closes: #993518)
  * Drop patches, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Sep 2021 15:35:31 +0200

osmcoastline (2.3.0-2) unstable; urgency=medium

  * Update watch file for GitHub URL changes.
  * Add patch to skip test which fails with GEOS 3.9.1.
    (closes: #992531)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Aug 2021 10:29:15 +0200
