=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: osmcoastline
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
@@ -18,7 +19,7 @@
                zlib1g-dev
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmcoastline
-Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git -b bullseye
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git
 Homepage: https://osmcode.org/osmcoastline/
 
 Package: osmcoastline
