=== debian/changelog ===
osmcoastline (2.4.0-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:12:21 +1100

osmcoastline (2.4.0-2build3) noble; urgency=medium

  * No-change rebuild against libgeos-c1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 22:56:24 +0000

osmcoastline (2.4.0-2build2) noble; urgency=medium

  * Rebuild against new libgdal34.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Nov 2023 19:29:34 +0100

osmcoastline (2.4.0-2build1) mantic; urgency=medium

  * Rebuild against latest gdal

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jun 2023 13:53:40 -0400

osmcoastline (2.4.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Add patch to fix FTBFS with GDAL 3.7.0.
    (closes: #1037976)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Jun 2023 07:02:32 +0200

osmcoastline (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Dec 2022 14:54:17 +0100

osmcoastline (2.3.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Bump debhelper compat to 12, no changes.
  * Add Rules-Requires-Root to control file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 14:36:39 +0100
