=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libbz2-dev,
                libexpat1-dev,
@@ -17,10 +17,11 @@
                spatialite-bin,
                sqlite3,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmcoastline
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git
 Homepage: https://osmcode.org/osmcoastline/
+Rules-Requires-Root: no
 
 Package: osmcoastline
 Architecture: any
